> ## Documentation Index
> Fetch the complete documentation index at: https://doc-test-my.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payout to Bank Account Using Composite API

> Create a Payout to Bank Account using the Composite API.

Use this endpoint to create a payout to bank account using Composite Payout API.

<Warning>
  **Watch Out!**

  Ensure you [allowlist IPs](/docs/x/dashboard/allowlist-ip) and pass the [idempotency key](/docs/api/x/payout-idempotency/make-request) to make a successful payout.
</Warning>

<br /> Consider the points given below before firing this API:

* Contact
  * A new contact is created if any combination of the following details is unique:
    * `fund_account.contact.name`
    * `fund_account.contact.email`
    * `fund_account.contact.contact`
    * `fund_account.contact.type`
    * `fund_account.contact.reference_id`
  * If **all** the above details match the details of an existing contact, the API returns details of the existing contact.
  * Use the [Update Contact API](/docs/api/x/contacts/update) if you want to make changes to an existing contact.
* Fund Account
  * A new fund account is created if any combination of the following details is unique:
    * `fund_account.card.name`
    * `fund_account.card.number`
    * `fund_account.contact.name`
    * `fund_account.contact.email`
    * `fund_account.contact.contact`
    * `fund_account.contact.type`
    * `fund_account.contact.reference_id`
  * If **all** the above details match the details of an existing fund account, the API returns details of the existing fund account.
  * You cannot edit the details of a fund account.

To understand the status of the payouts, refer to [Payout Status Details](/docs/errors/x/payout-status-details).

<RequestExample>
  ```bash Curl theme={null}
  curl -u <YOUR_KEY>:<YOUR_SECRET> \
  -X POST https://api.razorpay.com/v1/payouts \
  -H "Content-Type: application/json" \
  -H "X-Payout-Idempotency: 53cda91c-8f81-4e77-bbb9-7388f4ac6bf4" \
  -d '{
      "account_number": "7878780080316316",
      "amount": 1000000,
      "currency": "INR",
      "mode": "NEFT",
      "purpose": "refund",
      "fund_account": {
          "account_type": "bank_account",
          "bank_account": {
              "name": "Gaurav Kumar",
              "ifsc": "HDFC0001234",
              "account_number": "1121431121541121"
          },
          "contact": {
              "name": "Gaurav Kumar",
              "email": "gaurav.kumar@example.com",
              "contact": "9876543210",
              "type": "vendor",
              "reference_id": "Acme Contact ID 12345",
              "notes": {
                  "notes_key_1": "Tea, Earl Grey, Hot",
                  "notes_key_2": "Tea, Earl Grey… decaf."
              }
          }
      },
      "queue_if_low_balance": true,
      "reference_id": "Acme Transaction ID 12345",
      "narration": "Acme Corp Fund Transfer",
      "notes": {
          "notes_key_1": "Beam me up Scotty",
          "notes_key_2": "Engage"
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
      "id": "pout_F681qslJ3ba70q",
      "entity": "payout",
      "fund_account_id": "fa_F681qr6Bqy1Je7",
      "fund_account": {
          "id": "fa_F681qr6Bqy1Je7",
          "entity": "fund_account",
          "contact_id": "cont_F681qmU11CfPDl",
          "contact": {
              "id": "cont_F681qmU11CfPDl",
              "entity": "contact",
              "name": "Gaurav Kumar",
              "contact": "9876543210",
              "email": "gaurav.kumar@example.com",
              "type": "employee",
              "reference_id": "Acme Contact ID 12345",
              "batch_id": null,
              "active": true,
              "notes": {
                  "notes_key_1": "Tea, Earl Grey, Hot",
                  "notes_key_2": "Tea, Earl Grey… decaf."
              },
              "created_at": 1592929016
          },
          "account_type": "bank_account",
          "bank_account": {
              "ifsc": "HDFC0001234",
              "bank_name": "HDFC Bank",
              "name": "Gaurav Kumar",
              "notes": [],
              "account_number": "1121431121541121"
          },
          "batch_id": null,
          "active": true,
          "created_at": 1592929016
      },
      "amount": 1000000,
      "currency": "INR",
      "notes": {
          "notes_key_1": "Beam me up Scotty",
          "notes_key_2": "Engage"
      },
      "fees": 590,
      "tax": 90,
      "status": "processed",
      "purpose": "refund",
      "utr": null,
      "mode": "NEFT",
      "reference_id": "Acme Transaction ID 12345",
      "narration": "Acme Corp Fund Transfer",
      "batch_id": null,
      "status_details": null,
      "created_at": 1592929017,
      "fee_type": "",
      "error": {
          "description": null,
          "source": null,
          "reason": null
      }
  }
  ```
</ResponseExample>

## Request Parameters

<ParamField body="account_number" type="string" required>
  The account from which you want to make the payout.<br />Account details can be found on the RazorpayX Dashboard. For example, `7878780080316316`.

  * Pass your customer identifier if you want money to be deducted from RazorpayX Lite.
  * Pass your Current Account number if you want money to be deducted from your Current Account.

  <Warning>
    **Watch Out!**

    * This is **not** your contact's bank account number. Log in to your [**RazorpayX Dashboard**](https://x.razorpay.com/auth/?intent=current_account) and go to **My Account & Settings → Banking → Customer Identifier**.
    * This value is different for Test Mode and Live Mode.
    * RazorpayX Lite is currently not available for new merchants. To set up a new RazorpayX account, refer to [Current Account](/docs/x/account-types/current-account).
  </Warning>
</ParamField>

<ParamField body="amount" type="integer" required>
  The payout amount, in paise. For example, pass `1000000` to transfer an amount of ₹10,000. Minimum value is `100`. <br /> The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
</ParamField>

<ParamField body="currency" type="string" required>
  The payout currency. Here, it is `INR`.
</ParamField>

<ParamField body="mode" type="string" required>
  The mode to be used to create the payout. Available modes:

  * `NEFT`
  * `RTGS`
  * `IMPS` <br />

  The payout modes are case-sensitive. When creating payouts using APIs, ensure payout modes are entered in upper case.
</ParamField>

<ParamField body="purpose" type="string" required>
  The purpose of the payout. Classifications available in the system by default:

  * `refund`
  * `cashback`
  * `payout`
  * `salary`
  * `utility bill`
  * `vendor bill` <br />

  Additional purposes for payouts can be created via the [Dashboard](https://x.razorpay.com/) and then used in the API. However, it is not possible to create a new purpose for the payout via the API.
</ParamField>

<ParamField body="fund_account" type="object" required>
  Details of the contact and fund account to which the payout should be made.
</ParamField>

<ParamField body="account_type" type="string" required>
  The type of account to be linked to the contact ID. Here, the value has to be `bank_account`.
</ParamField>

<ParamField body="bank_account" type="object" required>
  The contact's bank account details.
</ParamField>

<ParamField body="name" type="string" required>
  Account holder's name. Between 4 and 120 characters. This field is case-sensitive. Supported characters: `a-z`, `A-Z`, `0-9`, `space`, `’` , `-` , `_` , `/` , `(` , `)` and , `.`. For example,`Gaurav Kumar`.
</ParamField>

<ParamField body="ifsc" type="string" required>
  Beneficiary bank IFSC. Has to be 11 characters. Unique identifier of a bank branch. For example, `HDFC0000053`.
</ParamField>

<ParamField body="account_number" type="string" required>
  Beneficiary bank account number. Between 5 and 35 characters. Supported characters: `a-z`, `A-Z` and `0-9`. Beneficiary account number. For example, `765432123456789`.
</ParamField>

<ParamField body="contact" type="object" required>
  Details of the contact to whom the payout should be made.
</ParamField>

<ParamField body="name" type="string" required>
  Contact's name. Minimum 3 characters. Maximum 50 characters. This field is case-sensitive. Supported characters: `a-z`, `A-Z`, `0-9`, `space`, `’` , `-` , `_` , `/` , `(` , `)` and , `.`. For example, `Gaurav Kumar`.
</ParamField>

<ParamField body="email" type="string">
  The contact's email address. For example, `gaurav.kumar@example.com`.
</ParamField>

<ParamField body="contact" type="string">
  The contact's phone number. For example, `9000090000`.
</ParamField>

<ParamField body="type" type="string">
  Classification for the contact. For example, `employee`. Classifications are available by default:

  * `vendor`
  * `customer`
  * `employee`
  * `self` <br />

  Additional classifications can be created via the [Dashboard](https://x.razorpay.com/) and then used in APIs. It is not possible to create new classifications via the API.
</ParamField>

<ParamField body="reference_id" type="string">
  Maximum length is 40 characters. A reference you enter for the contact. For example, `Acme Contact ID 12345`.
</ParamField>

<ParamField body="notes" type="object">
  Notes you can enter for the contact for future reference. This is a key-value pair. For example, `"note_key": "Beam me up Scotty"`.
</ParamField>

<ParamField body="queue_if_low_balance" type="boolean">
  Possible values:

  * `true`: The payout is queued when your business account does not have sufficient balance to process the payout.
  * `false` (default): The payout is never queued. The payout fails if your business account does not have sufficient balance to process the payout.
</ParamField>

<ParamField body="reference_id" type="string">
  Maximum length is 40 characters. A reference you enter for the payout. For example, `Acme Transaction ID 12345`. You can use this field to store your own transaction ID, if any.
</ParamField>

<ParamField body="narration" type="string">
  Maximum length 30 characters. Allowed characters: `a-z`, `A-Z`, `0-9` and `space`. This is a custom note that also appears on the bank statement. If no value is passed for this parameter, it defaults to the Merchant Billing Label. <br /> <br /> Enter the important text in the first 9 characters as banks truncate the rest as per their standards.
</ParamField>

<ParamField body="notes" type="array">
  Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Beam me up Scotty”`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier linked to the payout. For example, `pout_00000000000001`.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity being created. Here, it will be `payout`.
</ResponseField>

<ResponseField name="fund_account_id" type="string">
  The unique identifier linked to the fund account. For example, `fa_00000000000001`.
</ResponseField>

<ResponseField name="fund_account" type="object">
  Contact and fund account details to which the payout was made.
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier linked to the fund account. For example, `fa_00000000000001`.
</ResponseField>

<ResponseField name="entity" type="string">
  Here it will be `fund_account`.
</ResponseField>

<ResponseField name="contact_id" type="string">
  The unique identifier linked to the contact. For example, `cont_00000000000001`.
</ResponseField>

<ResponseField name="contact" type="object">
  Details of the contact to whom the payout is being made.
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier linked to the contact. For example, `cont_00000000000001`.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity being created. Here, it will be `contact`.
</ResponseField>

<ResponseField name="name" type="string">
  The contact's name. For example, `Gaurav Kumar`.
</ResponseField>

<ResponseField name="contact" type="string">
  The contact's phone number. For example, `9000090000`.
</ResponseField>

<ResponseField name="email" type="string">
  The contact's email address. For example, `gaurav.kumar@example.com`.
</ResponseField>

<ResponseField name="type" type="string">
  Classification for the contact being created. For example, `employee`. Classifications are available by default:

  * `vendor`
  * `customer`
  * `employee`
  * `self`
</ResponseField>

<ResponseField name="reference_id" type="string">
  A reference you entered for the contact. For example, `Acme Contact ID 12345`.
</ResponseField>

<ResponseField name="batch_id" type="string">
  This value is returned if the contact was created as part of a bulk upload. For example, `batch_00000000000001`.
</ResponseField>

<ResponseField name="active" type="boolean">
  Possible values:

  * `true`: active
  * `false`: inactive
</ResponseField>

<ResponseField name="notes" type="object">
  User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, when the contact was created. For example, `1545320320`.
</ResponseField>

<ResponseField name="account_type" type="string">
  The type of fund account being created. It can be a `bank_account`, `vpa`, `card`.
</ResponseField>

<ResponseField name="bank_account" type="object">
  The contact's bank account details.
</ResponseField>

<ResponseField name="ifsc" type="string">
  Unique identifier of a bank branch. For example, `HDFC0000053`.
</ResponseField>

<ResponseField name="bank_name" type="string">
  The contact's bank name. For example, `HDFC`.
</ResponseField>

<ResponseField name="name" type="string">
  Account holder's name. For example,`Gaurav Kumar`.
</ResponseField>

<ResponseField name="account_number" type="string">
  Beneficiary account number. For example, `765432123456789`.
</ResponseField>

<ResponseField name="notes" type="object">
  User-entered notes for internal reference.
</ResponseField>

<ResponseField name="vpa" type="object">
  The contact's virtual payment address (VPA) details.
</ResponseField>

<ResponseField name="username" type="string">
  The user name from the virtual payment address. For example, `gauravkumar`.
</ResponseField>

<ResponseField name="handle" type="string">
  The handle from the virtual payment address. For example, `exampleupi`.
</ResponseField>

<ResponseField name="address" type="string">
  The virtual payment address. For example, `gauravkumar@exampleupi`.
</ResponseField>

<ResponseField name="card" type="object">
  Details of the credit card that is being used to create the fund account.
</ResponseField>

<ResponseField name="name" type="string">
  The credit card holder's name. For example,`Gaurav Kumar`.
</ResponseField>

<ResponseField name="last4" type="string">
  The last four digits of the credit card. For example, `0001`.
</ResponseField>

<ResponseField name="network" type="string">
  The credit card issuing network. Possible values are:

  * `Visa`
  * `Mastercard`
  * `American Express`
  * `Diners Club`
</ResponseField>

<ResponseField name="type" type="string">
  Currently, this can only be `credit`.
</ResponseField>

<ResponseField name="issuer" type="string">
  The name of bank that issued the card. For example, `HDFC`. Refer to the [Supported Banks and Payout Modes section](/docs/api/x/payouts-cards#supported-banks-and-payout-modes) section for more details.
</ResponseField>

<ResponseField name="batch_id" type="string">
  This value is returned if the fund account was created as part of a bulk upload. For example, `batch_00000000000001`.
</ResponseField>

<ResponseField name="active" type="boolean">
  Possible values:

  * `true`: active
  * `false`: inactive
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, when the fund account was created. For example, `1545320320`.
</ResponseField>

<ResponseField name="amount" type="integer">
  Minimum value `100`. The payout amount, in paise. For example, if you want to transfer ₹10,000, pass `1000000`.<br />The value passed here does not include fees and tax. Fee and tax, if any, is deducted from your account balance.
</ResponseField>

<ResponseField name="currency" type="string">
  The payout currency. Here, it is `INR`.
</ResponseField>

<ResponseField name="notes" type="object">
  User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="fees" type="integer">
  The fees for the payout. This value is returned only when the payout moves to the `processing` state. For example, `5`.
</ResponseField>

<ResponseField name="tax" type="integer">
  The tax that is applicable for the fee being charged. This value is returned only when the payout moves to the `processing` state. For example, `1`.
</ResponseField>

<ResponseField name="status" type="string">
  The payout status. Possible payout states:

  * `queued`
  * `pending` (if you have [Approval Workflow](/docs/x/manage-teams/approval-workflow) enabled)
  * `rejected` (if you have [Approval Workflow](/docs/x/manage-teams/approval-workflow) enabled)
  * `processing`
  * `processed`
  * `cancelled`
  * `reversed`
  * `failed`
</ResponseField>

<ResponseField name="purpose" type="string">
  The purpose of the payout. Classifications available by default:

  * `refund`
  * `cashback`
  * `payout`
  * `salary`
  * `utility bill`
  * `vendor bill`<br />
</ResponseField>

<ResponseField name="utr" type="string">
  The unique transaction number linked to a payout. For example, `HDFCN00000000001`.
</ResponseField>

<ResponseField name="mode" type="string">
  The mode used to make the payout. Refer to the [Payouts section](/docs/x/payouts#payout-modes) for more details. Available modes:

  * `NEFT`
  * `RTGS`
  * `IMPS`
</ResponseField>

<ResponseField name="reference_id" type="string">
  A reference you entered for the payout. For example, `Acme Transaction ID 12345`. You can use this field to store your own transaction ID, if any.
</ResponseField>

<ResponseField name="narration" type="string">
  This is a custom note that also appears on the bank statement. <br /><br />If no value is passed for this parameter, it defaults to the Merchant Billing Label.
</ResponseField>

<ResponseField name="batch_id" type="string">
  This value is returned if the contact was created as part of a bulk upload. For example, `batch_00000000000001`.
</ResponseField>

<ResponseField name="status_details" type="object">
  This parameter returns the current status of the payout. For example, `IMPS is not enabled on beneficiary account, Retry with different mode.`
</ResponseField>

<ResponseField name="description" type="string">
  A description for the error. For example, `IMPS is not enabled on beneficiary account, please retry with different mode`.
</ResponseField>

<ResponseField name="source" type="string">
  Possible values:

  * `gateway`: Technical error at Razorpay Partner bank.
  * `beneficiary_bank`: Technical error at beneficiary bank.
  * `business`: Merchant action required.
  * `internal`: Technical error at Razorpay's server.
</ResponseField>

<ResponseField name="reason" type="string">
  The error reason. For example, `imps_not_allowed`. [Payout Status Details and Next Steps](/docs/errors/x/payout-status-details).
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, at which the payout was created. For example, `1545320320`.
</ResponseField>

<ResponseField name="fee_type" type="string">
  Indicates the fee type charged for the payout. Possible value is `free_payout`.
</ResponseField>
